BOS_LISTUSERS(8)

NAME
bos_listusers - Lists the privileged users from the UserList file

SYNOPSIS
bos listusers -server <machine name> [-cell <cell name>]
    [-noauth] [-localauth] [-help]

bos listu -s <machine name> [-c <cell name>] [-n]
    [-l] [-h]

DESCRIPTION
The bos listusers command lists the user names from the /etc/openafs/server/UserList file on the file server machine named by the -server argument. The users are authorized to issue privileged bos and vos commands.

To edit the list of users, use the bos adduser and bos removeuser commands.

OPTIONS

-server <machine name>
    Indicates the server machine from which to display the UserList file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

    For consistent performance in the cell, the output must be the same on every server machine. The bos adduser reference page explains how to keep the machines synchronized.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile or /etc/openafs/server/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output lists the user name of each user entitled to issue privileged bos and vos commands.

EXAMPLES
The following example lists the users from UserList file on the machine "fs4.example.com".

   % bos listusers fs4.example.com
   SUsers are: pat smith jones terry

PRIVILEGE REQUIRED
None

SEE ALSO
KeyFile(5), KeyFileExt(5), UserList(5), bos(8), bos_adduser(8), bos_removeuser(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.